import * as DockerModels from './dockerModels';
/**
 * Return a list of network IDs that require inspection
 *
 * This is required to create a NetworkMap
 * @param services
 */
export declare function getNetworkIds(services: DockerModels.Service[]): string[];
/**
 * Returns volume names to be inspected
 * @param services
 */
export declare function getVolumeNames(services: DockerModels.Service[]): string[];
/**
 * Generate a docker-compose string from a list of JSON service documents
 *
 * @param services Array of Services to generate a compose file from
 * @param networks Map of network ID -> network name
 */
export declare function compose(services: DockerModels.Service[], networks: DockerModels.Network[], volumes: DockerModels.Volume[]): string;
export default compose;
